<?php
/**
 * Plugin Name: UserOrderCount Ordernumber extension for WC
 * Plugin URI: http://open-tools.net/woocommerce/advanced-ordernumbers-for-woocommerce.html
 * Description: An extension plugin for the OpenTools Basic / Advanced Ordernumber
 * for WooCommerce plugin that adds the number of orders the user has already
 * posted in the variable UserOrderCount.
 * Version: 1.0
 * Author: Open Tools
 * Author URI: http://open-tools.net
 * Text Domain: woocommerce-ordernumbers-extension-Woocommerce-ordernumber-userordercount
 * License: GPL2+
 * Network: true
*/

if ( ! defined( 'ABSPATH' ) ) { 
	exit; // Exit if accessed directly
}



/** Filter to add variables to be used in the number formats
 *  You can add new variables to the $reps array or modify existing ones. They will be directly 
 *  available in all formats. This filter will be called whenever the ordernumber plugin creates a 
 *  number. All built-in variables are already set in the $reps variable, so you can even override
 *  the built-in variables by changing $reps accordingly.
 *  $details contains the order details
 *  $nrtype is "ordernumber" or "invoice"
 *
 *  Returns the new array of variables (even if unmodified!)
 */
add_filter('opentools_ordernumber_replacements', "ordernumber_replacements_userordercount", 10, 3);

function ordernumber_replacements_userordercount($reps, $details, $nrtype) {
    // Return the number of orders this user has already posted
    $userid = $details->get_user_id();
    $reps['[userordercount]'] = wc_get_customer_order_count($userid);
    return $reps;
}
